Bug 215265 - REQ: Tab zoom by double click
REQ: Tab zoom by double click
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Window System
7.2
All All
: P3 (vote)
: 7.3
Assigned To: Stanislav Aubrecht
issues@platform
: API, API_REVIEW_FAST
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-09 07:16 UTC by markuszeller
Modified: 2012-07-24 16:34 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments
proposed API changes (8.18 KB, patch)
2012-07-17 11:03 UTC, Stanislav Aubrecht
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description markuszeller 2012-07-09 07:16:36 UTC
Double clicking a tab on editor or any other view like "search results" or "output" will cause it making fullscreen within the IDE.

I love this feature, because double clicking again, brings the old position back.

Here is my request:

Some views have subviews, like "search results". They are organized as well as some kind of tabs. It would be nice, to be able to double click on them, having their parent tab zoomed.

Last used version:
7.2 RC1 on OSX Lion 10.7.4
Comment 1 Stanislav Aubrecht 2012-07-17 11:03:19 UTC
Created attachment 122094 [details]
proposed API changes
Comment 2 Stanislav Aubrecht 2012-07-23 12:52:25 UTC
If there are no objections, I'll integrate the changes tomorrow.
Comment 3 Stanislav Aubrecht 2012-07-24 08:41:51 UTC
core-main fbe7d3bbe7e7
Comment 4 Quality Engineering 2012-07-24 16:34:19 UTC
Integrated into 'main-golden', will be available in build *201207241500* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/fbe7d3bbe7e7
User: S. Aubrecht <saubrecht@netbeans.org>
Log: #215265 - double-click a tab in e.g. Output window to maximize the enclosing TopComponent


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo